public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/libindicate/, dev-libs/libindicate/files/
@ 2018-05-22  4:44 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2018-05-22  4:44 UTC (permalink / raw
  To: gentoo-commits

commit:     cdd4faf32dfb7817a73c649f96295a83c89c0b61
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon May 21 19:54:28 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue May 22 04:43:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdd4faf3

dev-libs/libindicate: EAPI-6 bump

Package-Manager: Portage-2.3.38, Repoman-2.3.9

 .../files/libindicate-0.6.1-no-mono.patch          |  8 +--
 dev-libs/libindicate/libindicate-12.10.1-r3.ebuild | 75 ++++++++++++++++++++++
 2 files changed, 79 insertions(+), 4 deletions(-)

diff --git a/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch b/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch
index 349828a6058..1743f861f4b 100644
--- a/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch
+++ b/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch
@@ -1,7 +1,7 @@
 Temporary patch to disable mono until new gtk-sharp is in tree wrt bug #382491
 
---- bindings/Makefile.am
-+++ bindings/Makefile.am
+--- a/bindings/Makefile.am
++++ b/bindings/Makefile.am
 @@ -1,9 +1,5 @@
  SUBDIRS = 
  
@@ -12,8 +12,8 @@ Temporary patch to disable mono until new gtk-sharp is in tree wrt bug #382491
  if HAS_PYTHON
  SUBDIRS += python
  endif
---- configure.ac
-+++ configure.ac
+--- a/configure.ac
++++ b/configure.ac
 @@ -124,61 +124,6 @@
  AC_PATH_PROG([VALA_API_GEN], [vapigen])
  

diff --git a/dev-libs/libindicate/libindicate-12.10.1-r3.ebuild b/dev-libs/libindicate/libindicate-12.10.1-r3.ebuild
new file mode 100644
index 00000000000..73526a89128
--- /dev/null
+++ b/dev-libs/libindicate/libindicate-12.10.1-r3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_MIN_API_VERSION="0.16"
+VALA_USE_DEPEND="vapigen"
+inherit autotools flag-o-matic vala xdg-utils
+
+DESCRIPTION="Library to raise flags on DBus for other components of the desktop"
+HOMEPAGE="https://launchpad.net/libindicate"
+SRC_URI="https://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="gtk +introspection"
+
+RESTRICT="test" # consequence of the -no-mono.patch
+
+RDEPEND="
+	dev-libs/dbus-glib
+	dev-libs/glib:2
+	dev-libs/libdbusmenu[introspection?]
+	dev-libs/libxml2
+	gtk? (
+		dev-libs/libdbusmenu[gtk3]
+		x11-libs/gtk+:3
+	)
+	introspection? ( >=dev-libs/gobject-introspection-1 )
+"
+DEPEND="${RDEPEND}
+	$(vala_depend)
+	app-text/gnome-doc-utils
+	dev-util/gtk-doc-am
+	gnome-base/gnome-common
+	virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.6.1-no-mono.patch )
+
+src_prepare() {
+	default
+	xdg_environment_reset
+	vala_src_prepare
+
+	sed -i \
+		-e "s:vapigen:vapigen-$(vala_best_api_version):" \
+		-e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	append-flags -Wno-error
+
+	# python bindings are only for GTK+-2.x
+	econf \
+		--disable-silent-rules \
+		--disable-static \
+		$(use_enable gtk) \
+		$(use_enable introspection) \
+		--disable-python \
+		--disable-scrollkeeper \
+		--with-gtk=3
+}
+
+src_install() {
+	# work around failing parallel installation (-j1)
+	# until a better fix is available. (bug #469032)
+	emake -j1 DESTDIR="${D}" install
+	einstalldocs
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-libs/libindicate/, dev-libs/libindicate/files/
@ 2023-01-01 11:33 David Seifert
  0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2023-01-01 11:33 UTC (permalink / raw
  To: gentoo-commits

commit:     70cc434ec010485de3d72ef424301caaf053ac24
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  1 11:32:58 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan  1 11:32:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70cc434e

dev-libs/libindicate: update EAPI 6 -> 8

Closes: https://bugs.gentoo.org/469032
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../files/libindicate-0.6.1-no-mono.patch          |  78 -----------
 .../files/libindicate-12.10.1-autotools.patch      | 151 +++++++++++++++++++++
 .../files/libindicate-12.10.1-werror.patch         |  13 --
 ...0.1-r3.ebuild => libindicate-12.10.1-r4.ebuild} |  37 ++---
 4 files changed, 162 insertions(+), 117 deletions(-)

diff --git a/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch b/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch
deleted file mode 100644
index 1743f861f4ba..000000000000
--- a/dev-libs/libindicate/files/libindicate-0.6.1-no-mono.patch
+++ /dev/null
@@ -1,78 +0,0 @@
-Temporary patch to disable mono until new gtk-sharp is in tree wrt bug #382491
-
---- a/bindings/Makefile.am
-+++ b/bindings/Makefile.am
-@@ -1,9 +1,5 @@
- SUBDIRS = 
- 
--if HAS_MONO
--SUBDIRS += mono
--endif
--
- if HAS_PYTHON
- SUBDIRS += python
- endif
---- a/configure.ac
-+++ b/configure.ac
-@@ -124,61 +124,6 @@
- AC_PATH_PROG([VALA_API_GEN], [vapigen])
- 
- ###########################
--# Check for Mono support
--###########################
--
--MONO_REQUIRED_VERSION=1.0
--PKG_CHECK_MODULES(MONO_DEPENDENCY, mono >= $MONO_REQUIRED_VERSION, has_mono=true, has_mono=false)
--
--AC_PATH_PROG(AL, al, no)
--if test "x$AL" = "xno" ; then
--   AC_MSG_NOTICE([No al tool found.  You need to install Mono.])
--fi
--
--if test "x$has_mono" = "xtrue" ; then
--   GENERATED_SOURCES=generated/*.cs
--   AC_PATH_PROG(RUNTIME, mono, no)
--
--   if test "x$RUNTIME" != "no" ; then
--      RUNTIME=mono
--   fi
--
--   AC_PATH_PROG(CSC, gmcs, no)
--   LIB_PREFIX=.so
--   LIB_SUFFIX=
--fi
--
--if test "x$CSC" = "xno" ; then
--   AC_MSG_NOTICE([No Mono compiler found.])
--fi
--
--AC_PATH_PROG(GACUTIL, gacutil, no)
--if test "x$GACUTIL" = "xno" ; then
--   AC_MSG_NOTICE([No gacutil tool found])
--fi
--
--AC_SUBST(RUNTIME)
--AC_SUBST(CSC)
--AC_SUBST(GACUTIL)
--AC_SUBST(LIB_PREFIX)
--AC_SUBST(LIB_SUFFIX)
--AC_SUBST(GENERATED_SOURCES)
--
--GLIB_SHARP_REQ_VERSION=2.12.1
--GTK_SHARP_REQ_VERSION=2.12
--PKG_CHECK_MODULES(GTK_SHARP, gtk-sharp-2.0 >= $GTK_SHARP_REQ_VERSION, has_gtksharp=true, has_gtksharp=false)
--AC_SUBST(GTK_SHARP_LIBS)
--AC_SUBST(GTK_SHARP_CFLAGS)
--
--PKG_CHECK_MODULES(GAPI, gapi-2.0 >= $GLIB_SHARP_REQ_VERSION, has_gapi=true, has_gapi=false)
--AC_PATH_PROG(GAPI_PARSER, gapi2-parser, no)
--AC_SUBST(GAPI_PARSER)
--AC_PATH_PROG(GAPI_CODEGEN, gapi2-codegen, no)
--AC_SUBST(GAPI_CODEGEN)
--AC_PATH_PROG(GAPI_FIXUP, gapi2-fixup, no)
--AC_SUBST(GAPI_FIXUP)
--
--###########################
- # Check for Python support
- ###########################
- 

diff --git a/dev-libs/libindicate/files/libindicate-12.10.1-autotools.patch b/dev-libs/libindicate/files/libindicate-12.10.1-autotools.patch
new file mode 100644
index 000000000000..ef84aab8cd94
--- /dev/null
+++ b/dev-libs/libindicate/files/libindicate-12.10.1-autotools.patch
@@ -0,0 +1,151 @@
+- Temporary patch to disable mono until new gtk-sharp is in tree wrt bug #382491
+- fix parallel install issue #469032
+- remove -Werror
+- use VAPIGEN from vala.eclass
+
+--- a/bindings/Makefile.am
++++ b/bindings/Makefile.am
+@@ -1,9 +1,5 @@
+ SUBDIRS = 
+ 
+-if HAS_MONO
+-SUBDIRS += mono
+-endif
+-
+ if HAS_PYTHON
+ SUBDIRS += python
+ endif
+--- a/configure.ac
++++ b/configure.ac
+@@ -3,7 +3,7 @@
+ 
+ AC_PREREQ(2.53)
+ 
+-AM_CONFIG_HEADER(config.h)
++AC_CONFIG_HEADERS(config.h)
+ AM_INIT_AUTOMAKE(libindicate, 12.10.1)
+ 
+ AM_MAINTAINER_MODE
+@@ -134,62 +134,7 @@
+ # Vala API Generation
+ ###########################
+ 
+-AC_PATH_PROG([VALA_API_GEN], [vapigen])
+-
+-###########################
+-# Check for Mono support
+-###########################
+-
+-MONO_REQUIRED_VERSION=1.0
+-PKG_CHECK_MODULES(MONO_DEPENDENCY, mono >= $MONO_REQUIRED_VERSION, has_mono=true, has_mono=false)
+-
+-AC_PATH_PROG(AL, al, no)
+-if test "x$AL" = "xno" ; then
+-   AC_MSG_NOTICE([No al tool found.  You need to install Mono.])
+-fi
+-
+-if test "x$has_mono" = "xtrue" ; then
+-   GENERATED_SOURCES=generated/*.cs
+-   AC_PATH_PROG(RUNTIME, mono, no)
+-
+-   if test "x$RUNTIME" != "no" ; then
+-      RUNTIME=mono
+-   fi
+-
+-   AC_PATH_PROG(CSC, gmcs, no)
+-   LIB_PREFIX=.so
+-   LIB_SUFFIX=
+-fi
+-
+-if test "x$CSC" = "xno" ; then
+-   AC_MSG_NOTICE([No Mono compiler found.])
+-fi
+-
+-AC_PATH_PROG(GACUTIL, gacutil, no)
+-if test "x$GACUTIL" = "xno" ; then
+-   AC_MSG_NOTICE([No gacutil tool found])
+-fi
+-
+-AC_SUBST(RUNTIME)
+-AC_SUBST(CSC)
+-AC_SUBST(GACUTIL)
+-AC_SUBST(LIB_PREFIX)
+-AC_SUBST(LIB_SUFFIX)
+-AC_SUBST(GENERATED_SOURCES)
+-
+-GLIB_SHARP_REQ_VERSION=2.12.1
+-GTK_SHARP_REQ_VERSION=2.12
+-PKG_CHECK_MODULES(GTK_SHARP, gtk-sharp-2.0 >= $GTK_SHARP_REQ_VERSION, has_gtksharp=true, has_gtksharp=false)
+-AC_SUBST(GTK_SHARP_LIBS)
+-AC_SUBST(GTK_SHARP_CFLAGS)
+-
+-PKG_CHECK_MODULES(GAPI, gapi-2.0 >= $GLIB_SHARP_REQ_VERSION, has_gapi=true, has_gapi=false)
+-AC_PATH_PROG(GAPI_PARSER, gapi2-parser, no)
+-AC_SUBST(GAPI_PARSER)
+-AC_PATH_PROG(GAPI_CODEGEN, gapi2-codegen, no)
+-AC_SUBST(GAPI_CODEGEN)
+-AC_PATH_PROG(GAPI_FIXUP, gapi2-fixup, no)
+-AC_SUBST(GAPI_FIXUP)
++AC_PATH_PROG([VAPIGEN], [vapigen])
+ 
+ ###########################
+ # Check for Python support
+--- a/libindicate/Makefile.am
++++ b/libindicate/Makefile.am
+@@ -74,7 +74,7 @@
+ libindicate_la_CFLAGS = \
+ 	$(LIBINDICATE_CFLAGS) \
+ 	$(COVERAGE_CFLAGS) \
+-	-Wall -Werror
++	-Wall
+ 
+ libindicate_la_LIBADD = \
+ 	$(LIBINDICATE_LIBS)
+@@ -173,7 +173,7 @@
+ vapi_DATA = Indicate-0.7.vapi
+ 
+ Indicate-0.7.vapi: Indicate-0.7.gir
+-	$(VALA_API_GEN) --library=Indicate-0.7 \
++	$(VAPIGEN) --library=Indicate-0.7 \
+ 			--pkg Dbusmenu-0.4 \
+ 			$<
+ 
+--- a/libindicate-gtk/Makefile.am
++++ b/libindicate-gtk/Makefile.am
+@@ -26,8 +26,7 @@
+ 	indicator.h \
+ 	listener.h
+ 
+-libindicate_gtkinclude_HEADERS = \
+-	$(indicate_gtk_headers)
++libindicate_gtkinclude_HEADERS =
+ 
+ libindicate_gtk_la_SOURCES = \
+ 	$(indicate_gtk_headers) \
+@@ -43,7 +42,7 @@
+ libindicate_gtk_la_CFLAGS = \
+ 	$(COVERAGE_CFLAGS) \
+ 	-I $(top_srcdir) \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATEGTK_CFLAGS)
+ 
+ libindicate_gtk_la_LIBADD = \
+@@ -58,7 +57,7 @@
+ libindicate_gtk3_la_CFLAGS = $(libindicate_gtk_la_CFLAGS)
+ libindicate_gtk3_la_LDFLAGS = $(libindicate_gtk_la_LDFLAGS)
+ libindicate_gtk3_la_SOURCES = $(libindicate_gtk_la_SOURCES)
+-libindicate_gtk3include_HEADERS = $(libindicate_gtkinclude_HEADERS)
++libindicate_gtk3include_HEADERS = $(indicate_gtk_headers)
+ libindicate_gtk3includedir = $(libindicate_gtkincludedir)
+ 
+ pkgconfig_DATA = indicate-gtk$(VER)-0.7.pc
+@@ -139,7 +138,7 @@
+ vapi_DATA = IndicateGtk$(VER)-0.7.vapi
+ 
+ IndicateGtk$(VER)-0.7.vapi: IndicateGtk$(VER)-0.7.tmp.gir Makefile.am
+-	$(VALA_API_GEN) --library=IndicateGtk$(VER)-0.7 \
++	$(VAPIGEN) --library=IndicateGtk$(VER)-0.7 \
+ 		--pkg $(GTKVALA) \
+ 		--pkg Dbusmenu-0.4 \
+ 		--pkg Indicate-0.7 \

diff --git a/dev-libs/libindicate/files/libindicate-12.10.1-werror.patch b/dev-libs/libindicate/files/libindicate-12.10.1-werror.patch
deleted file mode 100644
index 9a330caac03c..000000000000
--- a/dev-libs/libindicate/files/libindicate-12.10.1-werror.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- a/libindicate-gtk/Makefile.am
-+++ b/libindicate-gtk/Makefile.am
-@@ -45,3 +45,3 @@ libindicate_gtk_la_CFLAGS = \
- 	-I $(top_srcdir) \
--	-Wall -Werror \
-+	-Wall \
- 	$(LIBINDICATEGTK_CFLAGS)
---- a/libindicate/Makefile.am
-+++ b/libindicate/Makefile.am
-@@ -76,3 +76,3 @@ libindicate_la_CFLAGS = \
- 	$(COVERAGE_CFLAGS) \
--	-Wall -Werror
-+	-Wall

diff --git a/dev-libs/libindicate/libindicate-12.10.1-r3.ebuild b/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
similarity index 62%
rename from dev-libs/libindicate/libindicate-12.10.1-r3.ebuild
rename to dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
index e1cb38a5bbb4..2124b53457b2 100644
--- a/dev-libs/libindicate/libindicate-12.10.1-r3.ebuild
+++ b/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
 
-VALA_MIN_API_VERSION="0.16"
 VALA_USE_DEPEND="vapigen"
-inherit autotools flag-o-matic vala xdg-utils
+
+inherit autotools vala
 
 DESCRIPTION="Library to raise flags on DBus for other components of the desktop"
 HOMEPAGE="https://launchpad.net/libindicate"
@@ -15,7 +15,6 @@ LICENSE="LGPL-2.1 LGPL-3"
 SLOT="3"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ppc ppc64 ~riscv sparc x86"
 IUSE="gtk +introspection"
-
 RESTRICT="test" # consequence of the -no-mono.patch
 
 RDEPEND="
@@ -29,38 +28,27 @@ RDEPEND="
 	)
 	introspection? ( >=dev-libs/gobject-introspection-1 )
 "
-DEPEND="${RDEPEND}
-	$(vala_depend)
+DEPEND="${RDEPEND}"
+BDEPEND="
 	app-text/gnome-doc-utils
 	dev-util/gtk-doc-am
 	gnome-base/gnome-common
 	virtual/pkgconfig
+	$(vala_depend)
 "
 
-PATCHES=(
-	"${FILESDIR}"/${PN}-0.6.1-no-mono.patch
-	"${FILESDIR}"/${PN}-12.10.1-werror.patch
-)
+PATCHES=( "${FILESDIR}"/${P}-autotools.patch )
 
 src_prepare() {
 	default
-	xdg_environment_reset
-	vala_src_prepare
-
-	sed -i \
-		-e "s:vapigen:vapigen-$(vala_best_api_version):" \
-		-e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" \
-		configure.ac || die
-
 	eautoreconf
 }
 
 src_configure() {
-	append-flags -Wno-error
+	vala_setup
 
 	# python bindings are only for GTK+-2.x
 	econf \
-		--disable-static \
 		$(use_enable gtk) \
 		$(use_enable introspection) \
 		--disable-python \
@@ -69,9 +57,6 @@ src_configure() {
 }
 
 src_install() {
-	# work around failing parallel installation (-j1)
-	# until a better fix is available. (bug #469032)
-	emake -j1 DESTDIR="${D}" install
-	einstalldocs
-	find "${D}" -name '*.la' -delete || die
+	default
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-libs/libindicate/, dev-libs/libindicate/files/
@ 2024-04-03  5:10 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2024-04-03  5:10 UTC (permalink / raw
  To: gentoo-commits

commit:     d947850c343369d9842bf8a582033b5662014a10
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 29 08:18:24 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 05:10:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d947850c

dev-libs/libindicate: wire up tests

Includs some XFAILs but it's better than nothing.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/libindicate-12.10.1-tests-werror.patch   | 47 ++++++++++++++++++++++
 dev-libs/libindicate/libindicate-12.10.1-r4.ebuild | 18 ++++++---
 2 files changed, 60 insertions(+), 5 deletions(-)

diff --git a/dev-libs/libindicate/files/libindicate-12.10.1-tests-werror.patch b/dev-libs/libindicate/files/libindicate-12.10.1-tests-werror.patch
new file mode 100644
index 000000000000..1f669dbc5ec5
--- /dev/null
+++ b/dev-libs/libindicate/files/libindicate-12.10.1-tests-werror.patch
@@ -0,0 +1,47 @@
+--- a/examples/Makefile.am
++++ b/examples/Makefile.am
+@@ -20,7 +20,7 @@ indicate_and_crash_SOURCES = \
+ 
+ indicate_and_crash_CFLAGS = \
+ 	-I $(srcdir)/.. \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATE_CFLAGS)
+ 
+ indicate_and_crash_LDADD = \
+@@ -32,7 +32,7 @@ indicate_alot_SOURCES = \
+ 
+ indicate_alot_CFLAGS = \
+ 	-I $(srcdir)/.. \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATE_CFLAGS)
+ 
+ indicate_alot_LDADD = \
+@@ -44,7 +44,7 @@ listen_and_print_SOURCES = \
+ 
+ listen_and_print_CFLAGS = \
+ 	-I $(srcdir)/.. \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATE_CFLAGS) \
+ 	$(LIBINDICATEGTK_CFLAGS)
+ 
+@@ -59,7 +59,7 @@ im_client_SOURCES = \
+ 
+ im_client_CFLAGS = \
+ 	-I $(srcdir)/.. \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATE_CFLAGS) \
+ 	$(LIBINDICATEGTK_CFLAGS)
+ 
+@@ -74,7 +74,7 @@ show_hide_server_SOURCES = \
+ 
+ show_hide_server_CFLAGS = \
+ 	-I $(srcdir)/.. \
+-	-Wall -Werror \
++	-Wall \
+ 	$(LIBINDICATE_CFLAGS)
+ 
+ show_hide_server_LDADD = \

diff --git a/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild b/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
index 0bf3a2211de3..f4d947713309 100644
--- a/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
+++ b/dev-libs/libindicate/libindicate-12.10.1-r4.ebuild
@@ -14,8 +14,8 @@ SRC_URI="https://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
 LICENSE="LGPL-2.1 LGPL-3"
 SLOT="3"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ppc ppc64 ~riscv sparc x86"
-IUSE="gtk +introspection"
-RESTRICT="test" # consequence of the -no-mono.patch
+IUSE="gtk +introspection test"
+RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-libs/dbus-glib
@@ -35,9 +35,13 @@ BDEPEND="
 	gnome-base/gnome-common
 	virtual/pkgconfig
 	$(vala_depend)
+	test? ( dev-util/dbus-test-runner )
 "
 
-PATCHES=( "${FILESDIR}"/${P}-autotools.patch )
+PATCHES=(
+	"${FILESDIR}"/${P}-autotools.patch
+	"${FILESDIR}"/${PN}-12.10.1-tests-werror.patch
+)
 
 src_prepare() {
 	default
@@ -51,10 +55,14 @@ src_configure() {
 	econf \
 		$(use_enable gtk) \
 		$(use_enable introspection) \
+		$(use_enable test tests) \
 		--disable-python \
 		--disable-scrollkeeper \
-		--with-gtk=3 \
-		--disable-tests
+		--with-gtk=3
+}
+
+src_test() {
+	emake check XFAIL_TESTS="test-interests test-interests-multi test-max-indicators test-indicator-display test-indicator-display-half"
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-04-03  5:11 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-05-22  4:44 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libindicate/, dev-libs/libindicate/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2023-01-01 11:33 David Seifert
2024-04-03  5:10 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox